Bug 210862 - mountd crash
mountd crash
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: 216195 234611 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-16 07:46 EDT by Robert de Vries
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-03 03:22:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert de Vries 2006-10-16 07:46:11 EDT
Description of problem:
mountd dumps core

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. start mountd
2. mount any filesystem (from another host of course)
Actual results:
Crash with core dump

Expected results:
Mounted file system

Additional info:
Remote login via rsh fails too.

Reverting to glibc-2.4-8 resolved the problem with mountd and rsh.

Stack trace of the crashed mountd
#0  0x006b2893 in strdup () from /lib/libc.so.6
#1  0x00f50b5f in nis_list () from /lib/libnsl.so.1
#2  0x00d9762e in _nss_nisplus_setnetgrent () from /lib/libnss_nisplus.so.2
#3  0x0072dd05 in innetgr () from /lib/libc.so.6
#4  0x00b6063f in mount_dispatch () from /usr/sbin/rpc.mountd
#5  0x00b60a17 in mount_dispatch () from /usr/sbin/rpc.mountd
#6  0x00b5e12f in mount_dispatch () from /usr/sbin/rpc.mountd
#7  0x00b5ca27 in ?? () from /usr/sbin/rpc.mountd
#8  0x00b5ce4f in ?? () from /usr/sbin/rpc.mountd
#9  0x00b66032 in mount_dispatch () from /usr/sbin/rpc.mountd
#10 0x00b5dfaf in mount_dispatch () from /usr/sbin/rpc.mountd
#11 0x00736f39 in svc_getreq_common_internal () from /lib/libc.so.6
#12 0x007368df in svc_getreqset_internal () from /lib/libc.so.6
#13 0x00b602cd in mount_dispatch () from /usr/sbin/rpc.mountd
#14 0x00b5d8f5 in main () from /usr/sbin/rpc.mountd
Comment 1 Jakub Jelinek 2006-10-16 08:05:23 EDT
Are you using netgroups in the maps and don't have NIS+ configured at all
(likely neither NIS)?

If yes, then this was fixed recently:
2006-10-10  Ulrich Drepper  <drepper@redhat.com>

        * nis/nis_subr.c (nis_getnames): Add trailing dot to NIS_PATH
        components which lack them.

        * nis/nis_subr.c (nis_getnames): Make sure that we always return
        at least one entry consisting of the parameter concatenated with
        the domain.

As a workaround, don't use nisplus for netgroup in nsswitch.conf if you don't
have NIS+ configured (e.g. change
netgroup:   nisplus
netgroup:   files
in /etc/nsswitch.conf), or set some NIS/NIS+ domainname.
Comment 2 Robert de Vries 2006-10-17 03:27:00 EDT
I am using nis.
Removing nisplus from the netgroup line solves the problem I had with mountd and
The line is now:
netgroup: nis
It was:
netgroup: nisplus nis
Comment 3 Jakub Jelinek 2006-10-17 17:28:39 EDT
What does
print on your box?
The problem should occur only if there is no dot in the domain name, not counting
the optional dot at the end.
Comment 4 Robert de Vries 2006-10-18 03:24:48 EDT
The domainname is ase
So no dots whatsoever.
Comment 5 Jakub Jelinek 2006-11-17 14:56:55 EST
*** Bug 216195 has been marked as a duplicate of this bug. ***
Comment 6 Jakub Jelinek 2007-03-30 12:07:27 EDT
*** Bug 234611 has been marked as a duplicate of this bug. ***
Comment 7 Jakub Jelinek 2007-07-03 03:22:52 EDT
FC5 is no longer supported and FC6 updates and F7 have this fixed.

Note You need to log in before you can comment on or make changes to this bug.